#define INCL_DOS
#define INCL_WIN
#include <types.h>
#include <sys\socket.h>
#include <stdio.h>
#include <stdlib.h>
#include <os2.h>

#include "SessionManager.h"


int main( int argc, char *argv[] )
{
  PPIB pib;
  PTIB tib;

  SessionManager *theSessionMgr;

  setbuf( stdout, NULL );
  setbuf( stderr, NULL );
  // For immediate debugging even when piped
  
  DosGetInfoBlocks( &tib, &pib );
  pib->pib_ultype = 3;
  // Morph to a PM-capable app
  
  if ( sock_init() != 0 )
  {
    debugf( "Socket subsystem initialization failed.\n" );
    return -1;
  }
  
  theSessionMgr = new SessionManager();
  delete theSessionMgr;
  
  return 0;
}

