#define INCL_DOS
#include "buddy.h"
#include "sessionmanager.h"
#include <malloc.h>
#include <string.h>

Buddy :: Buddy( HWND win, HEV wakeupSem, buddyListEntry *buddyInfo )
{
  ULONG junk;
  
  alias = NULL;
  record = NULL;
  buddyInfo->myRecord = NULL;
  imChatWin = 0;
  imChatClientWin = 0;
  isGroup = buddyInfo->numMembers > 0;
  
  if ( stricmp( buddyInfo->entryName, "PleaseUpgrade000" ) == 0 )
    return;
  // This is one of AOL's little gotcha's that is placed there by their
  //  current clients.  Nice of them, eh?

  DosResetEventSem( wakeupSem, &junk );
  WinPostMsg( win, WM_ADDBUDDY, MPFROMP( buddyInfo ), MPFROMLONG( wakeupSem ) );
  DosWaitEventSem( wakeupSem, SEM_INDEFINITE_WAIT );
  record = buddyInfo->myRecord;
}

Buddy :: ~Buddy()
{
  if ( alias ) CHECKED_FREE( alias );
}

